Đến nội dung


Hình ảnh
- - - - -

em đang cần lisp fillet


  • Please log in to reply
6 replies to this topic

#1 banhdau

banhdau

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 05 January 2009 - 06:39 PM

có bác nào có cái lisp để go~ nhanh bán kính fillet k ạ. tức là chỉ cần gõ FR thay vì gõ f-->space--> r. thanks
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 05 January 2009 - 09:03 PM

có bác nào có cái lisp để go~ nhanh bán kính fillet k ạ. tức là chỉ cần gõ FR thay vì gõ f-->space--> r. thanks

Sử dụng lệnh FILLETRAD tại dòng Command:

Command: filletrad

Enter new value for FILLETRAD <25.0000>: 50

Bạn thiết lập phím tắt FR cho biến FILLETRAD trong file acad.pgp là được.

Command: fr fillet
Current settings: Mode = TRIM, Radius = 50.0000
Select first object or [Polyline/Radius/Trim/mUltiple]: r Specify fillet radius
<50.0000>: nil
Specify fillet radius <50.0000>: 0

Select first object or [Polyline/Radius/Trim/mUltiple]:
Select second object:
  • 2

#3 banhdau

banhdau

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 06 January 2009 - 09:28 AM

cảm ơn bạn,nhưng làm cách đấy chỉ thay đổi đc bán kính fillet mà muốn fillet vẫn phải nhập lệnh F, ý em là có thể ấn FR(vi' du),nhập bán kính rồi fillet luôn. thao tác kia lại thêm 1 lệnh nữa,đúng k ạ
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 06 January 2009 - 09:39 AM

cảm ơn bạn,nhưng làm cách đấy chỉ thay đổi đc bán kính fillet mà muốn fillet vẫn phải nhập lệnh F, ý em là có thể ấn FR(vi' du),nhập bán kính rồi fillet luôn. thao tác kia lại thêm 1 lệnh nữa,đúng k ạ

Không đúng đâu.

Khi Bạn thiết lập phím tắt FR cho biến FILLETRAD trong file acad.pgp thì chỉ sử dụng chỉ 1 thao tác là đánh lệnh FR sau đó khai bán kính, kích 2 cạnh cần fillet là OK.
Bạn hãy cứ thử xem.
Lệnh FR mà mình thử đây này :

Command: fr fillet
Current settings: Mode = TRIM, Radius = 50.0000
Select first object or [Polyline/Radius/Trim/mUltiple]: r Specify fillet radius
<50.0000>: nil
Specify fillet radius <50.0000>: 0

Select first object or [Polyline/Radius/Trim/mUltiple]:
Select second object:
Chúc thành công.
  • 0

#5 tuan_thietkedien

tuan_thietkedien

    biết lệnh mirror

  • Members
  • PipPipPip
  • 153 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 14 January 2009 - 01:02 PM

có bác nào có cái lisp để go~ nhanh bán kính fillet k ạ. tức là chỉ cần gõ FR thay vì gõ f-->space--> r. thanks


Bạn thường sử dụng bán kính bao nhiêu?
  • 0

#6 cuongvu

cuongvu

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 January 2009 - 02:07 PM

Bạn dùng dòng lệnh như sau thì có thể fillet và trim các đối tượng luôn:

(defun c:fr () (initget 6) (command "fillet" "u" "t" "t" "r" "p"))
  • 0

#7 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 14 January 2009 - 02:16 PM

Bạn thường sử dụng bán kính bao nhiêu?

Bạn thử cái này nhé:

(defun C: FR ()
(command "fillet" "r" (getreal " Nhap ban kinh fillet : "))
)
Chúc bạn thành công.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.